### Type parameters

- #### P: object

- #### R

### Hierarchy

- SocketEvent
  - PairOrderChange
  - AccountOrderChange
  - AccountNotification
  - PairTakerEvent
  - AccountTakerEvent
  - TickerSubscription

## Index

### Methods

- subscribe
- unsubscribe

## Methods

### subscribe

- subscribe(params: P, cb: function): this

- - Defined in aqueduct.ts:1537

  Subscribe to this event

  #### Parameters

  - ##### params: P

    Payload to submit to the server

  - ##### cb: function

    Handler for event broadcasts

    - - (data: R): void

      - #### Parameters

        - ##### data: R

        #### Returns void

  #### Returns this

### unsubscribe

- unsubscribe(): void

- - Defined in aqueduct.ts:1567

  Dispose of an active subscription

  #### Returns void

Generated using TypeDoc